Subject: Re: Having problems generating a code coverage report

From: Álvaro Herrera <[email-masked]>
Date: Thu, 26 Feb 2026 13:35:35 +0100

On 2026-Feb-18, Michael Paquier wrote:

> Based on your ideas, I have been able to get my way through today with
> this modified artistic flavor, for a non-VPATH build, in a Fedora
> environment:
> make coverage-html \
>     LCOVFLAGS="-q --ignore-errors gcov,gcov" \
>     GENHTML_FLAGS="-q --legend --ignore-errors unmapped,corrupt,unmapped,inconsistent"

FWIW this has been failing all along (last report dates back Feb 17th),
now because of this:

lcov: ERROR: (negative) Unexpected negative hit count '-9' for line /home/coverage/pgsrc/pgsql/src/port/snprintf.c:529" while capturing from ./src/port/snprintf_shlib.gcda.
        (use "lcov --ignore-errors negative ..." to bypass this error)

I added this flag as well, and the report is now running; we should have
results soon.

I hope the lcov people find time to fix all these problems :-(

-- 
Álvaro Herrera         PostgreSQL Developer  —  https://www.EnterpriseDB.com/
"Pero la cosa no es muy grave ..."     (le petit Nicolas -- René Goscinny)